body {
  margin: 0!important;
  background-image: url('~img/body.png');
}

.ChatContainer {
  display: flex;
  height: 100%;
  width: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.MessagesContainer {
  display: flex;
  margin-bottom: 76px;
  flex-direction: column;
  align-items: center;
  align-self: center;
  overflow-y: auto;
  min-height: 200px;
  width: 100%;
}

.MessagesInnerContainer {
  display: flex;
  margin-bottom: 76px;
  flex-direction: column;
  align-items: center;
  align-self: center;
  max-width: 640px;
  min-height: 200px;
  width: 100%;
  padding-left: 24px;
  padding-right: 24px;
}

.MessageBox {
  margin: 8px 24px 8px 24px;
  border: 1px solid #CED5D9;
  border-radius: 8px;
  background-color: #FFFFFF;
  padding: 16px;
  max-width: 420px;
  word-wrap: break-word;
  align-self: flex-start;
}

@media only screen and (max-width: 480px) {
  .MessageBox {
      max-width: 240px;
  }
}

.MessageBox__Self {
  background-color: #FCF4BE;
  align-self: flex-end;
  margin: 16px 24px 16px 0;
}

.MessageBox__Text {
  display: block;
  font-size: x-large
}

.MessageBox__Username {
  display: block;
  font-size: large;
  color: #CED5D9
}

.MessageBox__Timestamp {
  float: right;
  font-size: large;
  color: #CED5D9
}

.InputBoxContainer {
  position: fixed;
  display: flex;
  justify-content: center;
  padding: 8px;
  bottom: 0;
  left: 0;
  right: 0;
  height: 60px;
  background-color: #308DCE
}

.InputBoxInnerContainer {
  display: flex;
  flex-direction: row;
  flex: 1;
  max-width: 592px;
}

.TextInput {
  border: 3px solid #296C9A;
  flex: 1 1 540px;
  font-size: medium;
  padding: 0 8px 0 8px;
  margin-right: 8px;
  border-radius: 8px
}

.SendButton {
  flex: 1 0 100px;
  font-size: medium;
  color: whitesmoke;
  background-color: #FF7C62;
  border-radius: 8px;
}

.SendButton:disabled {
  cursor: not-allowed;
  opacity: 0.8;
}

.loader {
  border: 8px solid #f3f3f3;
  border-radius: 50%;
  border-top: 8px solid #3498db;
  overflow: visible;
  width: 50px;
  height: 50px;
  -webkit-animation: spin 1s linear infinite;
  animation: spin 1s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}